Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class Bunch

java.lang.Object
ru.bitel.bgbilling.modules.sorm.common.bean.Bunch

    public class Bunch
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Bunch()` |
  `Bunch​(int id, java.lang.String title, java.lang.String description, Directional directional, java.lang.String mac, java.util.Date dateStart, java.util.Date dateEnd, java.lang.String idCommutator)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getDateEnd()` |
  `java.util.Date` | `getDateStart()` |
  `java.lang.String` | `getDescription()` |
  `Directional` | `getDirectional()` |
  `int` | `getId()` |
  `java.lang.String` | `getIdCommutator()` |
  `java.lang.String` | `getMac()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setDateEnd​(java.util.Date dateEnd)` |
  `void` | `setDateStart​(java.util.Date dateStart)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setDirectional​(Directional directional)` |
  `void` | `setId​(int id)` |
  `void` | `setIdCommutator​(java.lang.String idCommutator)` |
  `void` | `setMac​(java.lang.String mac)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bunch

    public Bunch()

  - ### Bunch

    public Bunch​(int id, java.lang.String title, java.lang.String description, Directional directional, java.lang.String mac, java.util.Date dateStart, java.util.Date dateEnd, java.lang.String idCommutator)

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### getDirectional

    public Directional getDirectional()

  - ### setDirectional

    public void setDirectional​(Directional directional)

  - ### getMac

    public java.lang.String getMac()

  - ### setMac

    public void setMac​(java.lang.String mac)

  - ### getDateStart

    public java.util.Date getDateStart()

  - ### setDateStart

    public void setDateStart​(java.util.Date dateStart)

  - ### getDateEnd

    public java.util.Date getDateEnd()

  - ### setDateEnd

    public void setDateEnd​(java.util.Date dateEnd)

  - ### getIdCommutator

    public java.lang.String getIdCommutator()

  - ### setIdCommutator

    public void setIdCommutator​(java.lang.String idCommutator)